// TODO deduplicate the whole file with core/app/categories into a core component?

.menu-item-icon {
  flex-shrink: 0;

  /* this is okay, because it's only a tiny shift,
  and it's needed to optically fix the alignment, starting from the text baseline */
  transform: translateY(0.25em);
}

.item-title {
  font-size: 1.3125rem;
  font-weight: 600;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--Main-Foreground, #000);
}

.label-checkbox-container {
  width: 100%;
  display: flex;
  align-items: baseline;
  align-self: stretch;
  justify-content: space-between;
  gap: 0.625rem;
}

.flexible-line {
  background-color: var(--Hint-Foreground);
  height: 2px;
  flex-grow: 1;
}
